#!/usr/bin/python
#!/usr/bin/python

# RSS Mix Tape
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.        
from LockFile import LockFile

import os
from ConfigParser import *

dir = os.path.expanduser ("~/.rssmixtape/")

if not os.path.exists (dir):
    os.mkdir (dir)


def config ():
    if not Config._inst:
        Config._inst = Config ()
    return Config._inst


class Config:
    _inst = None
    def __init__ (self):
        self.config = ConfigParser ()
        self.config.read (dir + 'config')
        self.categories = None
        
    def save (self):
        fp = open (dir + 'config', "w")
        self.config.write (fp)
        fp.close ()

    def get (self, sect, var):
        if not self.config.has_section (sect):
            return None
        if not self.config.has_option (sect, var):
            return None
        return self.config.get (sect, var)


    def set (self, sect, var, val):
        if not self.config.has_section (sect):
            self.config.add_section (sect)
        return self.config.set (sect, var, val)

    def getCategories (self):
        if not self.categories:
            catstr = self.get ("main", "categories")
            if not catstr:
                return []
            cats = catstr.split (",")
            self.categories = map (str.strip, cats)
        return self.categories
    
    def setCategories (self, cats):
        self.categories = cats
        self.set ("main", "categories", ",".join (cats))

    def counter (self):
        lock = LockFile (dir + "id.lock")
        lock.lock ()
        try:
            f = open (dir + "id")
            x = int (f.read ()) + 1
            f.close ()
            f = open (dir + "id", "w")
            f.write (str (x))
            f.close ()
        except:
            f = open (dir + "id", "w")
            f.write ("1")
            f.close ()
            x = 1
        lock.unlock ()
        return x


