#!/usr/bin/python

# RSS Mix Tape
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ISO 649 Languages

def langCodes ():
    return [
('Abkhazian', 'ab'),
('Afan (Oromo)', 'om'),
('Afar', 'aa'),
('Afrikaans', 'af'),
('Albanian', 'sq'),
('Amharic', 'am'),
('Arabic', 'ar'),
('Armenian', 'hy'),
('Assamese', 'as'),
('Aymara', 'ay'),
('Azerbaijani', 'az'),
('Bashkir', 'ba'),
('Basque', 'eu'),
('Bengali;Bangla', 'bn'),
('Bhutani', 'dz'),
('Bihari', 'bh'),
('Bislama', 'bi'),
('Breton', 'br'),
('Bulgarian', 'bg'),
('Burmese', 'my'),
('Byelorussian', 'be'),
('Cambodian', 'km'),
('Catalan', 'ca'),
('Chinese', 'zh'),
('Corsican', 'co'),
('Croatian', 'hr'),
('Czech', 'cs'),
('Danish', 'da'),
('Dutch', 'nl'),
('English', 'en'),
('Esperanto', 'eo'),
('Estonian', 'et'),
('Faroese', 'fo'),
('Fiji', 'fj'),
('Finnish', 'fi'),
('French', 'fr'),
('Frisian', 'fy'),
('Galician', 'gl'),
('Georgian', 'ka'),
('German', 'de'),
('Greek', 'el'),
('Greenlandic', 'kl'),
('Guarani', 'gn'),
('Gujarati', 'gu'),
('Hausa', 'ha'),
('Hebrew', 'he'),
('Hindi', 'hi'),
('Hungarian', 'hu'),
('Icelandic', 'is'),
('Indonesian', 'id'),
('Interlingua', 'ia'),
('Interlingue', 'ie'),
('Inuktitut', 'iu'),
('Inupiak', 'ik'),
('Irish', 'ga'),
('Italian', 'it'),
('Japanese', 'ja'),
('Javanese', 'jv'),
('Kannada', 'kn'),
('Kashmiri', 'ks'),
('Kazakh', 'kk'),
('Kinyarwanda', 'rw'),
('Kirghiz', 'ky'),
('Kurundi', 'rn'),
('Korean', 'ko'),
('Kurdish', 'ku'),
('Laothian', 'lo'),
('Latin', 'la'),
('Latvian;Lettish', 'lv'),
('Lingala', 'ln'),
('Lithuanian', 'lt'),
('Macedonian', 'mk'),
('Malagasy', 'mg'),
('Malay', 'ms'),
('Malayalam', 'ml'),
('Maltese', 'mt'),
('Maori', 'mi'),
('Marathi', 'mr'),
('Moldavian', 'mo'),
('Mongolian', 'mn'),
('Nauru', 'na'),
('Nepali', 'ne'),
('Norwegian', 'no'),
('Occitan', 'oc'),
('Oriya', 'or'),
('Pashto;Pushto', 'ps'),
('Persian', '(Farsi)', 'fa'),
('Polish', 'pl'),
('Portuguese', 'pt'),
('Punjabi', 'pa'),
('Quechua', 'qu'),
('Rhaeto-Romance', 'rm'),
('Romanian', 'ro'),
('Russian', 'ru'),
('Samoan', 'sm'),
('Sangho', 'sg'),
('Sanskrit', 'sa'),
('Scots', 'Gaelic', 'gd'),
('Serbian', 'sr'),
('Serbo-Croatian', 'sh'),
('Sesotho', 'st'),
('Setswana', 'tn'),
('Shona', 'sn'),
('Sindhi', 'sd'),
('Singhalese', 'si'),
('Siswati', 'ss'),
('Slovak', 'sk'),
('Slovenian', 'sl'),
('Somali', 'so'),
('Spanish', 'es'),
('Sundanese', 'su'),
('Swahili', 'sw'),
('Swedish', 'sv'),
('Tagalog', 'tl'),
('Tajik', 'tg'),
('Tamil', 'ta'),
('Tatar', 'tt'),
('Telugu', 'te'),
('Thai', 'th'),
('Tibetan', 'bo'),
('Tigrinya', 'ti'),
('Tonga', 'to'),
('Tsonga', 'ts'),
('Turkish', 'tr'),
('Turkmen', 'tk'),
('Twi', 'tw'),
('Uigur', 'ug'),
('Ukrainian', 'uk'),
('Urdu', 'ur'),
('Uzbek', 'uz'),
('Vietnamese', 'vi'),
('Volapuk', 'vo'),
('Welsh', 'cy'),
('Wolof', 'wo'),
('Xhosa', 'xh'),
('Yiddish', 'yi'),
('Yoruba', 'yo'),
('Zhuang', 'za'),
('Zulu', 'zu')]
