#!/usr/bin/python

# I am reinventing the wheel here because all other wheels are square
# This class logs into livejournal via login.bml, and saves the cookie
# to use for requesting the RSS feeds of journals.  The login is
# needed so friends-only posts work

# RSS Mix Tape
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


from Config import config
from urllib2 import *
import re

def ljContext ():
    if not LiveJournal._inst:
        LiveJournal._inst = LiveJournal ()
    return LiveJournal._inst

class LiveJournal:
    _inst = None
    def __init__ (self):
        pass

    def login (self):
        """Logs in to livejournal, returning a session cookie"""
        user = config ().get ("lj", "user")
        password = config ().get ("lj", "pass")

        if not user or not password:
            return

        data = "mode=login&user=" + user + "&password=" + password
        req = Request ("http://www.livejournal.com/login.bml", data,
                       { 'Referer' : 'http://www.livejournal.com/' })

        try:
            reply = urlopen (req)
        except (Exception, str), e:
            print "Error logging in to LJ: ", e
            return

        #a good cookie: 
        #ljsession=ws:novalis:##:XXXXXXXXXX:.XX; BMLschemepref=;
        #langpref=; ljfastserver=; betatest=

        pat = re.compile ("ljsession=[^;].*")
        for cookie in reply.info ().getheaders ("Set-Cookie"):
            if pat.match (cookie):
                self.loginCookie = cookie
                return self.loginCookie



if __name__ == "__main__":
    test ()
