#!/usr/bin/python

# RSS Mix Tape
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


#Note: comment = what the RSS Mix Tape user have to say about the
#post. comments = what readers of the output feeds have to say.

#createQT specifies whether a QuickTopic ought to be created for the post.

from cPickle import dumps
import time

from Config import config

class Post:
    def __init__ (self, args):

        for k, v in args.items ():
            setattr (self, k, v)

        if not self.id:
            self.id = config ().counter ()
        self.id = str (self.id)
            
        defaultValues = {'title' : '', 'text' : '',
                         'link' : '', 'deleted': 0,
                         'posted' : 'not posted', 'generated' : 0,
                         'comment' : "I found this on " + self.feed + ":",
                         'comments' : '', 'createQT': 0
                         }
        for attr, val in defaultValues.items ():
            try:
                if not getattr (self, attr):
                    setattr (self, attr, val)
            except AttributeError:
                setattr (self, attr, val)


    def enableCreateQuickTopic (self):
        if self.generated:
            return 0 #can't change your mind after generation
        if self.comments:
            return 0 #there's already a forum
        return 1

    def unicodify (self, value):
        """obsolete?"""
        try:
            if type (value) == unicode:
                return value
            else:
                return unicode (value, 'utf-8', 'replace')
        except:
            print "in feed ", self.feed, " failed to unicodify ", type (value)
            for c in value:
                if ord (c) > 128:
                    print ord (c)

    def toValue (self):
        #I didn't just pickle the whole thing, because one day, we'll have
        #all sorts of transitory data in here
        d = {}
        for var in ['feed', 'date', 'title', 'link', 'text', 'comment', 
                    'comments', 'posted', 'deleted', 'generated', 'createQT']:
            try:
                d [var] = getattr (self, var)
            except AttributeError:
                print "Missing attr: ", var
                raise

        return dumps (d)
    
    def shouldGenerate (self):
        if not self.posted or self.posted == "not posted":
            return 0
        if self.generated == 0:
            return 1
        if self.generated - time.time () < int (config ().get ("rss", "minUpdate")):
            return 1
        return 0

    def delete (self):

        """Delete the post.  Stores the time the deletion happened, so
        the post can be purged after a certain amount of time"""
        
        self.deleted = int (time.time ())
