#!/usr/bin/python

# RSS Mix Tape
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import xmlrpclib

import Config

def createQuickTopic (title):
    """Creates a QuickTopic via XML-RPC, and returns a link"""

    config = Config.config ()

    username = config.get ("quicktopic", "username")
    email = config.get ("quicktopic", "email")

    if not (username and email):
        return ''

    quicktopic = xmlrpclib.Server ("http://www.quicktopic.com/cgi-bin/xmlrpc.pl")
    result = quicktopic.tio.newTopic (
        username,   # user name for topic creator
        email, # email for creator
        'xmlrpc', # forum ID (the part before the /H/ in the URL)      
        title, # topic name
        '',  # first message content
        1, # subscribe: get email for every post
        '', #linkfrom -- linked forum/topic
        '', #linksubject  linked topic name
        0,  #privacy (currently unused option)
        '', #language (default is English)
        )
    
    url = result.split (",")[0]
    return url

